import pandas as pd
import matplotlib.pyplot as plt

# Leser inn Excel-filene

excel_file1 = 'Data2021.xlsx'
Measured  = pd.read_excel(excel_file1, sheet_name='Vannføring')

# Konverterer tidssøyler til datetime

Measured['Time'] = pd.to_datetime(Measured['Time'])

# Beregner gjennomsnittlig flow

average_flow_measured = Measured['Discharge_A [l/s]'].mean()
average_flow_teori = 10.20
konstant_leak = 3.16 

# Plotting
plt.figure(figsize=(15, 7), dpi=96)
plt.plot(Measured['Time'], Measured['Discharge_A [l/s]'], linestyle='-', linewidth=1, label='Measured')
plt.axhline(y=average_flow_measured, color='g', linestyle='--', label=f'Average Flow Measured: {average_flow_measured:.2f} l/s',linewidth=2)
plt.axhline(y=average_flow_teori, color='b', linestyle='--', label=f'Average Flow Teori: {average_flow_teori:.2f} l/s',linewidth=2)
plt.axhline(y=average_flow_teori + konstant_leak, color='r', linestyle='--', label=f'Average Flow Teori + constant leak : {average_flow_teori + konstant_leak:.2f} l/s',linewidth=2)
plt.title("Vannføring i Målepunktet")
plt.xlabel("Date")
plt.ylabel("liter/sec")
plt.xticks(rotation=45)
plt.grid(True)
plt.legend()
plt.tight_layout()
plt.show()
