import matplotlib.pyplot as plt
import pandas as pd
from scipy.integrate import simps

# Get the excel files
excel_file1 = 'Observertregn.xlsx'

# Specify the Sheet index
sheet_name = 'Sheet1'

# Read the Excel files
df = pd.read_excel(excel_file1, sheet_name=sheet_name)

# Convert 'Time' column to datetime
df['Time'] = pd.to_datetime(df['Time'])

# Define start and end dates for your custom time range
start_date = '2023-06-01'
end_date = '2023-06-29'

# Filter the DataFrames based on the custom time range
df_custom = df[(df['Time'] >= start_date) & (df['Time'] <= end_date)]

print(df_custom)


# Plot the data from both DataFrames on the same plot
plt.figure(figsize=(15, 7), dpi=96)
plt.plot(df_custom['Time'], df_custom['ObservertRegn [mu-m/sec]'], linestyle='-', linewidth=1)
plt.title("Observert Nedbør [mu-m/sec]")
plt.xlabel("Date")
plt.ylabel("mu-m/sec")
plt.xticks(rotation=45)
plt.grid(True)
plt.legend()
plt.tight_layout()
plt.show()
