import matplotlib.pyplot as plt
import pandas as pd

# Get the excel file
excel_file = 'ObservertRegn.xlsx'

# Specify the Sheet index
sheet_name = 'Sheet1'  

# Read the Excel file
df = pd.read_excel(excel_file, sheet_name=sheet_name)

# Convert 'tidspunkt' to datetime
df['Time'] = pd.to_datetime(df['Time'])

# Assuming you have another column for the second plot, e.g., 'Vannføring(l/s)'
y2 = df['ObservertRegn [mu-m/sec]']
"""
# Create first plot
plt.figure(figsize=(15, 7), dpi=96)
plt.plot(df['tidspunkt'], df['Vannføring (m^3/s)'], linestyle='-', linewidth=1)
plt.title("Water Discharge Data in agust (Sildre) - m³/s")
plt.xlabel("Date")
plt.ylabel("Water Discharge (m³/s)")
plt.xticks(pd.date_range(df['tidspunkt'].min(), df['tidspunkt'].max(), freq='3D'), rotation=45)
plt.grid(True)
plt.tight_layout()
#plt.savefig('agust_Water_Discharge_m3_per_s.jpg', format='jpg', dpi=300)
plt.show()
"""
# Create second plot
plt.figure(figsize=(15, 7), dpi=96)
plt.plot(df['Time'], y2, linestyle='-', linewidth=1, color='b')
plt.title("Nedbør")
plt.xlabel("Date")
plt.ylabel("Nedbør")
plt.xticks(pd.date_range(df['Time'].min(), df['Time'].max(), freq='3D'), rotation=45)
plt.grid(True)
plt.tight_layout()
#plt.savefig('agust_Water_Discharge_l_per_s.jpg', format='jpg', dpi=300)
plt.show()
